package com.persagy.proxy.adm.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.proxy.adm.constant.AdmCommonConstant;
import com.persagy.proxy.adm.request.AdmResponse;

import lombok.RequiredArgsConstructor;

/**
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021年10月18日 上午10:55:24
 */
@RestController
@RequiredArgsConstructor
public class AdmSpaceInfoController {

	public static final String EXPORT_SHEET_NAME = "关系维护";

	@Value("${middleware.group.code}")
	private String defaultCode;

	/**
	 * 统计 属于多建筑楼层的空间
	 * 
	 * @param request
	 * @return
	 */
	@RequestMapping("/space/space-bd-fl")
	public AdmResponse queryCount(HttpServletRequest request) {
		String groupCode = request.getHeader(AdmCommonConstant.GROUP_CODE_HEADER);
		String projectId = request.getHeader(AdmCommonConstant.PROJECT_ID_HEADER);
		AdmResponse response = AdmResponse.success();
		response.setCount(0L);
		return response;
	}

}
